Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 17040

Summary: tmispell-0.5.0.ebuild (new ebuild)
Product: Gentoo Linux Reporter: Petrus Pietilä <petrus>
Component: New packagesAssignee: Default Assignee for New Packages <maintainer-wanted>
Status: RESOLVED WONTFIX    
Severity: enhancement CC: betelgeuse, flammie, nattfodd
Priority: High Keywords: EBUILD, InOverlay
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard: [finnish overlay]
Package list:
Runtime testing required: ---
Bug Depends on: 17299, 140031    
Bug Blocks:    
Attachments: attached ebuild
tmispell-0.4.3.ebuild
tmispell-0.5.0.ebuild
tmispell-0.5.0.ebuild
ispell-3.2.06-r7.ebuild
tmispell-0.6.ebuild
tmispell-0.6.2.ebuild

Description Petrus Pietilä 2003-03-07 14:44:01 UTC
Hi! 
Please find attached tmispell-0.1.2.ebuild 
 
This info is taken from tmispell's homepage http://www.hut.fi/~ptvirtan/programs/tmispell.html. 
 
Tmispell is a front-end that emulates Ispell for some spell checking libraries. It was primarily written 
for Soikko (which is written by Pasi Ryh
Comment 1 Petrus Pietilä 2003-03-07 14:44:01 UTC
Hi! 
Please find attached tmispell-0.1.2.ebuild 
 
This info is taken from tmispell's homepage http://www.hut.fi/~ptvirtan/programs/tmispell.html. 
 
Tmispell is a front-end that emulates Ispell for some spell checking libraries. It was primarily written 
for Soikko (which is written by Pasi Ryhänen), but will most likely work also with other modules that 
implement the same interface.  
 
Tmispell is useful because many programs (e.g. mail clients and document processors) use Ispell for 
spell checking. So Tmispell makes it possible to use the spell checking services provided by modules 
like Soikko in these programs, with no changes to either needed.  
 
Additionally Tmispell can launch the original Ispell instead when there is no module for some 
language. This makes it feasible to use Tmispell as a drop-in replacement for Ispell.  
 
I suggest app-text/tmispell Also, this ebuild depend on ispell and hyphenator like soikko. 
Unfortunately soikko won't build against self compiled version of openoffice 1.0.2 so I haven't been 
able to make an ebuild for soikko. 
 
Petrus 

Reproducible: Always
Steps to Reproduce:
1.
2.
3.
Comment 2 Petrus Pietilä 2003-03-07 14:46:34 UTC
Created attachment 9105 [details]
attached ebuild
Comment 3 Tod M. Neidt (RETIRED) gentoo-dev 2003-03-11 01:02:38 UTC
What is soikko?  And if Soikko is not in portage yet, what would tmispell be used for?  Are any other modules that will take advantage of it in portage yet?  From the information you provided, it would seem that some ebuilds for other components would be necessary before this would be generally useful.
Comment 4 Petrus Pietilä 2003-03-11 07:52:11 UTC
I created an ebuild for soikko: http://bugs.gentoo.org/show_bug.cgi?id=17299  
I don't know whether there exists other programs that would make use of tmispell 
than just soikko. 
Comment 5 Seth Chandler 2003-03-11 16:40:00 UTC
opening 
Comment 6 Seth Chandler 2003-03-11 16:40:44 UTC
i'll take this as this blocks one of mine... 
Comment 7 Seth Chandler 2003-03-16 17:01:41 UTC
alright well ispell is masked and doesn't work currently...so i can't add this or sokkio to portage...

i'll be marking both of these as resolve later

Comment 8 Seemant Kulleen (RETIRED) gentoo-dev 2003-06-12 06:25:24 UTC
seth is inactive
Comment 9 Andreas Proschofsky (RETIRED) gentoo-dev 2005-01-23 12:58:31 UTC
As we are not taking soikko (and even this doesn't seem to use it anymore), won't put it in. Please reopen if you object and have a good reason to.
Comment 10 Flammie Pirinen (RETIRED) gentoo-dev 2006-07-11 13:53:07 UTC
There's a forthcoming free open source replacement for soikko called voikko (bug 140031)-> Reopening. I will attach an updated ebuild for it, which works with voikko. 
Comment 11 Flammie Pirinen (RETIRED) gentoo-dev 2006-07-11 13:56:38 UTC
Created attachment 91513 [details]
tmispell-0.4.3.ebuild
Comment 12 Flammie Pirinen (RETIRED) gentoo-dev 2006-08-17 13:59:43 UTC
Created attachment 94481 [details]
tmispell-0.5.0.ebuild

From upstream stable 1.0 release of Finnish spellchecking library.
Comment 13 Flammie Pirinen (RETIRED) gentoo-dev 2006-08-18 06:12:29 UTC
Created attachment 94537 [details]
tmispell-0.5.0.ebuild

This might or might not be cleaner solution to ispell-tmispell conflict. Also requires updated ispell ebuild I will attach here.
Comment 14 Flammie Pirinen (RETIRED) gentoo-dev 2006-08-18 06:14:00 UTC
Created attachment 94538 [details]
ispell-3.2.06-r7.ebuild

Updated ispell ebuild, which also (ab)uses linguas for dictionary, and tmispell, selection.
Comment 15 Flammie Pirinen (RETIRED) gentoo-dev 2006-08-26 14:06:53 UTC
Created attachment 95158 [details]
tmispell-0.6.ebuild

A bugfix release upstream, main updates with dynamic linkage and moving enchant plugin to optional i.e. USE=enchant.
Comment 16 Flammie Pirinen (RETIRED) gentoo-dev 2006-12-28 02:13:38 UTC
Finnish bugs to betelgeuse, as requested in bug 60374 comment 14
Comment 17 Jakub Moc (RETIRED) gentoo-dev 2007-09-14 13:53:38 UTC
Cannot download -> WONTFIX.
Comment 18 Flammie Pirinen (RETIRED) gentoo-dev 2007-09-16 23:31:39 UTC
Created attachment 131102 [details]
tmispell-0.6.2.ebuild

Current version is 0.6.2, also available from finnish overlay <http://overlays.gentoo.org/proj/finnish>, which is also in layman-global.txt. Works for me.
Comment 19 Flammie Pirinen (RETIRED) gentoo-dev 2007-09-16 23:32:17 UTC
Reopening with updated ebuild.
Comment 20 Tom Wijsman (TomWij) (RETIRED) gentoo-dev 2013-03-02 10:23:34 UTC
I have bumped and adjusted Voikko succesfully. Though this bug will need the latest ispell compile errors fixed in order to proceed, the patches also don't seem to apply anymore.
Comment 21 Marek Szuba gentoo-dev 2016-03-30 13:51:17 UTC
tmispell is now on Github: https://github.com/voikko/tmispell. However,

"NOTE! Tmispell is no longer actively maintained! Enchant provides similar
ispell-compatible wrapper for multiple spell checker backends. It is
recommended to use that if possible, or contribute to its development."
Comment 22 Marek Szuba gentoo-dev 2016-08-01 09:32:54 UTC
In light of lack of comments for 4 months now, I assume there is indeed no user demand for this package. Closing the bug.